Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public interface

# AppState

implements Freezable<T>

com.google.android.gms.appstate.AppState

## Class Overview

Data interface for retrieving app state information.

## Summary

Public Methods
abstract byte[] | getConflictData()
abstract String | getConflictVersion()
abstract int | getKey()
abstract byte[] | getLocalData()
abstract String | getLocalVersion()
abstract boolean | hasConflict()

[Expand] Inherited Methods

From interface com.google.android.gms.common.data.Freezable

abstract T | freeze() Freeze a volatile representation into an immutable representation.
abstract boolean | isDataValid() Check to see if this object is valid for use.

## Public Methods

#### public abstract byte[] getConflictData ()

##### Returns

- The conflict data. Only valid if `hasConflict()` is `true`.

#### public abstract String getConflictVersion ()

##### Returns

- The latest known version of conflicting data from the server.

#### public abstract int getKey ()

##### Returns

- The key associated with this app state blob.

#### public abstract byte[] getLocalData ()

##### Returns

- The local data for this app state blob, or null if none present.

#### public abstract String getLocalVersion ()

##### Returns

- The local version of the app state data.

#### public abstract boolean hasConflict ()

##### Returns

- Whether or not this app state has conflict data to resolve.